## lua-uri 0.1%2B20130926%2Bgit14fa255d

=== debian/changelog ===
lua-uri (0.1+20130926+git14fa255d-2) unstable; urgency=medium

  * wrap-and-sort and clean some lintian errors
  * debhelper 12, update Vcs-* to salsa, refresh Standards-Version
  * add support for Lua5.2
  * debian/copyright: update Source deadlink
  * debian/control: use my shiny Debian email

 -- Victor Seva <vseva@debian.org>  Wed, 01 Apr 2020 14:04:03 +0200

lua-uri (0.1+20130926+git14fa255d-1) unstable; urgency=low

  * Initial release (Closes: #724679)

 -- Victor Seva <linuxmaniac@torreviejawireless.org>  Thu, 26 Sep 2013 17:21:34 +0200

## lua-uri 0.1+20130926+git14fa255d

=== Makefile ===
PACKAGE=lua-uri
VERSION=$(shell head -1 Changes | sed 's/ .*//')
RELEASEDATE=$(shell head -1 Changes | sed 's/.* //')
PREFIX=/usr/local
DISTNAME=$(PACKAGE)-$(VERSION)

# The path to where the module's source files should be installed.
LUA_SPATH:=$(shell pkg-config lua5.1 --define-variable=prefix=$(PREFIX) \
                              --variable=INSTALL_LMOD)

MANPAGES = doc/lua-uri.3 doc/lua-uri-_login.3 doc/lua-uri-_util.3 doc/lua-uri-data.3 doc/lua-uri-file.3 doc/lua-uri-ftp.3 doc/lua-uri-http.3 doc/lua-uri-pop.3 doc/lua-uri-rtsp.3 doc/lua-uri-telnet.3 doc/lua-uri-urn.3 doc/lua-uri-urn-isbn.3 doc/lua-uri-urn-issn.3 doc/lua-uri-urn-oid.3

all: $(MANPAGES)

doc/lua-%.3: doc/lua-%.pod Changes
	sed 's/E<copy>/(c)/g' <$< | sed 's/E<ndash>/-/g' | \
	    pod2man --center="Lua $(shell echo $< | sed 's/^doc\/lua-//' | sed 's/\.pod$$//' | sed 's/-/./g') module" \
	            --name="$(shell echo $< | sed 's/^doc\///' | sed 's/\.pod$$//' | tr a-z A-Z)" --section=3 \
	            --release="$(VERSION)" --date="$(RELEASEDATE)" >$@

test: all
	echo 'lunit.main({...})' | $(VALGRIND) lua -llunit - test/*.lua

install: all
	mkdir -p $(LUA_SPATH)/uri/{file,urn}
	mkdir -p $(PREFIX)/share/man/man3
	install --mode=644 uri.lua $(LUA_SPATH)/
	for module in _login _relative _util data file ftp http https pop rtsp rtspu telnet urn; do \
	    install --mode=644 uri/$$module.lua $(LUA_SPATH)/uri/; \
	done
	for module in unix win32; do \
	    install --mode=644 uri/file/$$module.lua $(LUA_SPATH)/uri/file/; \
	done
	for module in isbn issn oid; do \
	    install --mode=644 uri/urn/$$module.lua $(LUA_SPATH)/uri/urn/; \
	done
	for manpage in $(MANPAGES); do \
	    gzip -c $$manpage >$(PREFIX)/share/man/man3/$$(echo $$manpage | sed -e 's/^doc\///').gz; \
	done

checktmp:
	@if [ -e tmp ]; then \
	    echo "Can't proceed if file 'tmp' exists"; \
	    false; \
	fi
dist: all checktmp
	mkdir -p tmp/$(DISTNAME)
	tar cf - --files-from MANIFEST | (cd tmp/$(DISTNAME) && tar xf -)
	cd tmp && tar cf - $(DISTNAME) | gzip -9 >../$(DISTNAME).tar.gz
	cd tmp && tar cf - $(DISTNAME) | bzip2 -9 >../$(DISTNAME).tar.bz2
	rm -f $(DISTNAME).zip
	cd tmp && zip -q -r -9 ../$(DISTNAME).zip $(DISTNAME)
	rm -rf tmp

clean:
	rm -f $(MANPAGES)

.PHONY: all test install checktmp dist clean

=== debian/changelog ===
lua-uri (0.1+20130926+git14fa255d-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-lua (>= 16~).

  [ Victor Seva ]
  * fix clean phase (Closes: #1049049)
  * update Standards-Version, no changes needed

 -- Victor Seva <vseva@debian.org>  Mon, 02 Oct 2023 10:18:57 +0200

=== debian/control ===
Source: lua-uri
Section: interpreters
Priority: optional
Maintainer: Victor Seva <vseva@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-lua,
Standards-Version: 4.6.2.0
Vcs-Git: https://salsa.debian.org/lua-team/lua-uri.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-uri/
Homepage: http://www.geoffrichards.co.uk/lua/uri/

Package: lua-uri
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: pure Lua library to normalize and validate URIs/URLs
 Provides methods for manipulating URIs in various ways.
 In particular, you can resolve relative URI references
 to create absolute URIs, and extract parts of URIs.

Package: lua-uri-dev
Section: libdevel
Architecture: any
Depends:
 lua-uri (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: examples and test files for lua-uri
 Provides methods for manipulating URIs in various ways.
 In particular, you can resolve relative URI references
 to create absolute URIs, and extract parts of URIs.
 .
 This package contains examples and test files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_build:
	${MAKE} all
	dh_auto_build

override_dh_auto_clean:
	${MAKE} clean
	dh_auto_clean
